Bug 1717281 - KDE Telepathy Bonjour account: This IM Account cannot be created - a Telepathy Connection Manager named 'salut' is missing or it cannot handle protocol 'local-xmpp'. Please try installing salut with your package manager.
Summary: KDE Telepathy Bonjour account: This IM Account cannot be created - a Telepath...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ktp-accounts-kcm
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-05 05:39 UTC by Dennis Schridde
Modified: 2020-05-26 15:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 15:35:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Dennis Schridde 2019-06-05 05:39:17 UTC
Description of problem:

2018-03-09: I was trying to setup a Bonjour (local XMPP) account in KDE Plasma System Settings for KDE Telepathy. In `System Settings > Online Accounts > Create`, I clicked "Bonjour" in the list on the right. This action was answered with an error dialogue box: "This IM Account cannot be created - a Telepathy Connection Manager named 'salut' is missing or it cannot handle protocol 'local-xmpp'. Please try installing salut with your package manager." However, `telepathy-salut` is already installed on my machine. Does anyone have an idea how to debug this, or where I would find the actual error message that led to this?

2019-06-04: I was able to create the account using `mc-tool add salut/local-xmpp $USER@$HOST string:first-name=$GIVENNAME string:last-name=$LASTNAME string:email=$EMAIL string:jid=$EMAIL string:published-name=$USER`, but it does not show up in the KDE Online Accounts.


Version-Release number of selected component (if applicable):

2018-03-09: I am using Fedora 27 KDE, with telepathy-salut currently being at version 0.8.1 (release 12.fc27), telepathy-mission control at version 5.16.4 (epoch 1, release 4.fc27) and ktp-accounts-kcm at version 17.12.1(release 1.fc27).

2019-06-03: The issue persists in Fedora 30 (telepathy-salut 0.8.1 release 15.fc29, telepathy-mission-control 5.16.4 epoch 1 release 8.fc30, ktp-accounts-kcm 18.12.2 release 1.fc30).


How reproducible:

Steps to Reproduce:
1. Open KDE systemsettings
2. Navigate to Online Accounts
3. Click `+` and select `Bonjour/Salut`


Actual results:

Error message as described above.


Expected results:

New Telepathy account created and usable.


Additional info:

Original reported on the kde@lists.fedoraproject.org mailinglist: https://lists.fedoraproject.org/archives/list/kde@lists.fedoraproject.org/thread/LW2JBLWL5I2J5PE6ZBIXX5UPKQVWSAFX/

Comment 1 Ben Cotton 2020-04-30 21:51:08 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2020-05-26 15:35:38 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.